import { type InputType } from "./jb-date-input";
import { JBDateInputValueObject } from "./types";
export declare function getEmptyValueObject(): JBDateInputValueObject;
export declare function getMonth(value: string): string;
export declare function getYear(value: string): string;
export declare function getDay(value: string): string;
export declare function handleDayBeforeInput(inputType: InputType, typedNumber: number, caretPos: number, inputChar: (char: string, pos: number) => void, getInputValue: () => string): {
    isIgnoreChar: boolean;
    caretPos: number;
};
export declare function handleMonthBeforeInput(inputValue: string, typedNumber: number, caretPos: number): {
    isIgnoreChar: boolean;
    caretPos: number;
};
export declare function checkMinValidation(date: Date, minDate: Date): boolean;
export declare function checkMaxValidation(date: Date, maxDate: Date): boolean;
export declare function isValidChar(char: string): boolean;
export declare function standardString(dateString: string): string;
/**
 * will input and replace a certain char in the given string
 */
export declare function replaceChar(char: string, pos: number, currentValue: string, showPersianNumber?: boolean): string;
type BeforeInputParameters = {
    inputType: InputType;
    showPersianNumber?: boolean;
    event: {
        inputEventType: string;
        data: string | null;
        preventDefault: VoidFunction;
        target: {
            selectionStart: number;
            selectionEnd: number;
            setSelectionRange: (start: number, end: number) => void;
            setValue: (value: string) => void;
            getValue: () => string;
        };
    };
};
export declare function onInputBeforeInput(params: BeforeInputParameters): void;
export {};
//# sourceMappingURL=utils.d.ts.map