import React, { DetailedHTMLProps, HTMLAttributes, PropsWithChildren } from 'react';
import 'jb-date-input';
import { JBDateInputWebComponent, type ValidationValue, type JBDateInputValueObject, type InputType } from 'jb-date-input';
import { type ValidationItem } from 'jb-validation';
import { EventProps } from './events-hook.js';
import { JBDateInputAttributes } from './attributes-hooks.js';
export { type JBDateInputValueObject, type ValidationItem, type ValidationValue, InputType };
declare global {
    namespace JSX {
        interface IntrinsicElements {
            'jb-date-input': JBDateInputType;
        }
        interface JBDateInputType extends DetailedHTMLProps<HTMLAttributes<JBDateInputWebComponent>, JBDateInputWebComponent> {
            class?: string;
            label?: string;
            name?: string;
            "value-type"?: string;
            "input-type"?: string;
            ref: React.RefObject<JBDateInputWebComponent>;
        }
    }
}
type JBDateInputProps = EventProps & JBDateInputAttributes & {
    className?: string;
    label?: string;
    valueType?: 'GREGORIAN' | 'JALALI' | 'TIME_STAMP';
    inputType?: 'GREGORIAN' | 'JALALI';
};
export type Props = PropsWithChildren<JBDateInputProps>;
export declare const JBDateInput: React.ForwardRefExoticComponent<EventProps & JBDateInputAttributes & {
    className?: string;
    label?: string;
    valueType?: "GREGORIAN" | "JALALI" | "TIME_STAMP";
    inputType?: "GREGORIAN" | "JALALI";
} & {
    children?: React.ReactNode | undefined;
} & React.RefAttributes<unknown>>;
