import { JBDateInputWebComponent, type ValidationValue, type InputType } from "jb-date-input";
import { type ValidationItem } from "jb-validation";
import { CSSProperties, MutableRefObject, RefObject } from "react";
export type JBDateInputAttributes = {
    style?: CSSProperties;
    min?: string | null | undefined | Date;
    max?: string | null | undefined | Date;
    message?: string;
    name?: string;
    format?: string;
    direction?: 'ltr' | 'rtl';
    value?: string | Date | null | undefined;
    validationList?: ValidationItem<ValidationValue>[];
    required?: boolean;
    calendarDefaultDateView?: {
        year: number;
        month: number;
        dateType?: InputType;
    };
    showPersianNumber?: boolean;
    placeholder?: string;
    jalaliMonthList?: string[] | null | undefined;
    gregorianMonthList?: string[] | null | undefined;
    overflowHandler?: "NONE" | "SLIDE";
    overflowRef?: RefObject<HTMLElement> | null | MutableRefObject<HTMLElement | undefined>;
    disabled?: boolean;
    error?: string;
};
export declare function useJBDateInputAttribute(element: RefObject<JBDateInputWebComponent>, props: JBDateInputAttributes): void;
